"""
Do Not Edit this file. You may and are encouraged to look at it for reference.
"""

import unittest
import movable

class MovableWithRadius( movable.Movable ):

    def __init__( self, x, y, dx, dy, radius, ww, wh ):
        movable.Movable.__init__( self, x, y, dx, dy, ww, wh )
        self.mRadius = radius
        return

    def getRadius( self ):
        return self.mRadius

class TestMovableHits( unittest.TestCase ):

    def setUp( self ):
        return

    def tearDown( self ):
        return

    def test001_hitsWithOverlap( self ):
        m1 = MovableWithRadius( 100, 200, 0, 0, 10, 400, 400 )
        m2 = MovableWithRadius( 110, 210, 0, 0, 10, 400, 400 )
        
        self.assertEqual( m1.hits( m2 ), True )
        self.assertEqual( m2.hits( m1 ), True )
        return
    
    def test002_doesNotHitWithNoOverlap( self ):
        m1 = MovableWithRadius( 100, 200, 0, 0, 10, 400, 400 )
        m2 = MovableWithRadius( 130, 230, 0, 0, 10, 400, 400 )
        
        self.assertEqual( m1.hits( m2 ), False )
        self.assertEqual( m2.hits( m1 ), False )
        return
    
    def test003_hitsWithTouchHorizontal( self ):
        m1 = MovableWithRadius( 100, 200, 0, 0, 10, 400, 400 )
        m2 = MovableWithRadius( 120, 200, 0, 0, 10, 400, 400 )
        
        self.assertEqual( m1.hits( m2 ), True )
        self.assertEqual( m2.hits( m1 ), True )
        return
    
    def test004_hitsWithTouchVertical( self ):
        m1 = MovableWithRadius( 100, 200, 0, 0, 10, 400, 400 )
        m2 = MovableWithRadius( 100, 220, 0, 0, 10, 400, 400 )
        
        self.assertEqual( m1.hits( m2 ), True )
        self.assertEqual( m2.hits( m1 ), True )
        return
    
    
def suite( ):
    return unittest.TestLoader( ).loadTestsFromTestCase( TestMovableHits )

if __name__ == '__main__':
    runner = unittest.TextTestRunner( )
    runner.run( suite( ) )
