"""
Do Not Edit this file. You may and are encouraged to look at it for reference.
"""

import unittest
import polygon

class TestPolygonSetters( unittest.TestCase ):

    def setUp( self ):
        self.expected_x = 100
        self.expected_y = 200
        self.expected_dx = 1.5
        self.expected_dy = -2.5
        self.expected_rotation = 90
        self.expected_world_width = 600
        self.expected_world_height = 400

        self.constructed_obj = polygon.Polygon( self.expected_x, self.expected_y, self.expected_dx, self.expected_dy, self.expected_rotation, self.expected_world_width, self.expected_world_height )
        
        return

    def tearDown( self ):
        return

    def test001_setsPolygon( self ):
        new_points = [ (1,2), (2.71, 3.14) ]
        expected_points = [ (1,2), (2.71, 3.14) ]
        self.constructed_obj.setPolygon( new_points )
        self.assertEqual( self.constructed_obj.getPolygon( ), expected_points )
        return

    def test002_setsEmptyPolygon( self ):
        new_points = [ (1,2), (2.71, 3.14) ]
        expected_points = [  ]
        self.constructed_obj.setPolygon( new_points )
        self.constructed_obj.setPolygon( [ ] )
        self.assertEqual( self.constructed_obj.getPolygon( ), expected_points )
        return
    
    def test003_setsColor( self ):
        new_color = ( 1, 2, 3 )
        expected_color = ( 1, 2, 3 )
        self.constructed_obj.setColor( new_color )
        self.assertEqual( self.constructed_obj.getColor( ), expected_color )
        return

    
def suite( ):
    return unittest.TestLoader( ).loadTestsFromTestCase( TestPolygonSetters )

if __name__ == '__main__':
    runner = unittest.TextTestRunner( )
    runner.run( suite( ) )
