"""
Do Not Edit this file. You may and are encouraged to look at it for reference.
"""

import unittest
import rock

class TestRockSetters( unittest.TestCase ):

    def setUp( self ):
        self.expected_x = 100
        self.expected_y = 200
        self.expected_dx = 0.0
        self.expected_dy = 0.0
        self.expected_min_rotation = 0
        self.expected_max_rotation = 359
        self.expected_min_spin_rate = -90
        self.expected_max_spin_rate = 90
        self.expected_world_width = 600
        self.expected_world_height = 400

        self.constructed_obj = rock.Rock( self.expected_x, self.expected_y, self.expected_world_width, self.expected_world_height )
        
        return

    def tearDown( self ):
        return

    def test001_setsSpinRatePositive( self ):
        expected_spin_rate = 1.5
        self.constructed_obj.setSpinRate( expected_spin_rate )
        self.assertEqual( self.constructed_obj.getSpinRate( ), expected_spin_rate )
        return
    
    def test002_setsSpinRateNegative( self ):
        expected_spin_rate = -1.5
        self.constructed_obj.setSpinRate( expected_spin_rate )
        self.assertEqual( self.constructed_obj.getSpinRate( ), expected_spin_rate )
        return
    
def suite( ):
    return unittest.TestLoader( ).loadTestsFromTestCase( TestRockSetters )

if __name__ == '__main__':
    runner = unittest.TextTestRunner( )
    runner.run( suite( ) )
