"""
Do Not Edit this file. You may and are encouraged to look at it for reference.
"""

import unittest
import math
import circle

class TestCircleConstructorAndGetters( unittest.TestCase ):

    def setUp( self ):
        self.expected_x = 333
        self.expected_y = 444
        self.expected_dx = 11
        self.expected_dy = 22
        self.expected_rotation = 45
        self.expected_radius = 23
        self.expected_world_width = 600
        self.expected_world_height = 800
        self.expected_color = ( 255, 255, 255 )
        
        self.constructed_obj = circle.Circle( self.expected_x, self.expected_y, self.expected_dx, self.expected_dy, self.expected_rotation, self.expected_radius, self.expected_world_width, self.expected_world_height )
        
        return

    def tearDown( self ):
        return

    def test001_ConstructorSetsX( self ):
        self.assertEqual( self.constructed_obj.getX( ), self.expected_x )
        return
    
    def test002_ConstructorSetsY( self ):
        self.assertEqual( self.constructed_obj.getY( ), self.expected_y )
        return
    
    def test003_ConstructorSetsDXAndDY( self ):
        self.assertEqual( self.constructed_obj.getDX( ), self.expected_dx )
        self.assertEqual( self.constructed_obj.getDY( ), self.expected_dy )
        return
    
    def test005_ConstructorSetsWorldWidth( self ):
        self.assertEqual( self.constructed_obj.getWorldWidth( ), self.expected_world_width )
        return
    
    def test006_ConstructorSetsWorldHeight( self ):
        self.assertEqual( self.constructed_obj.getWorldHeight( ), self.expected_world_height )
        return

    def test007_ConstructorSetsRotation( self ):
        self.assertEqual( self.constructed_obj.getRotation( ), self.expected_rotation )
        return

    def test008_ConstructorSetsRadius( self ):
        self.assertEqual( self.constructed_obj.getRadius( ), self.expected_radius )
        return
 
    def test009_ConstructorSetsWhiteColor( self ):
        self.assertEqual( self.constructed_obj.getColor( ), self.expected_color )
        return
   
def suite( ):
    return unittest.TestLoader( ).loadTestsFromTestCase( TestCircleConstructorAndGetters )

if __name__ == '__main__':
    runner = unittest.TextTestRunner( )
    runner.run( suite( ) )
